Index: tests/regression/Selection/Atoms/AllAtoms/testsuite-selection-all-atoms.at
===================================================================
--- tests/regression/Selection/Atoms/AllAtoms/testsuite-selection-all-atoms.at	(revision b9bfa63421aae8bda04dea61800ff9fe25d337b5)
+++ tests/regression/Selection/Atoms/AllAtoms/testsuite-selection-all-atoms.at	(revision caeeb80840441e26c65bc21cf81c49717188c5b4)
@@ -3,25 +3,46 @@
 AT_SETUP([Selection - All Atoms])
 AT_KEYWORDS([selection])
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz allatoms.xyz], 0)
-AT_CHECK([../../molecuilder -i allatoms.xyz -v 3 --select-all-atoms -r], 0, [stdout], [stderr])
-AT_CHECK([file=allatoms.xyz; diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/post/$file], 0, [ignore], [ignore])
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz allatoms.xyz], 0)
-AT_CHECK([../../molecuilder -i allatoms.xyz -v 3 --select-all-atoms --undo -r], 0, [stdout], [stderr])
-AT_CHECK([file=allatoms.xyz; diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz], 0, [ignore], [ignore])
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz allatoms.xyz], 0)
-AT_CHECK([../../molecuilder -i allatoms.xyz -v 3 --select-all-atoms --undo --redo -r], 0, [stdout], [stderr])
-AT_CHECK([file=allatoms.xyz; diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/post/$file], 0, [ignore], [ignore])
+
+file=allatoms.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/post/allatoms.xyz], 0, [ignore], [ignore])
+
+file=allatoms.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/post/box.xyz], 0, [ignore], [ignore])
+
+file=allatoms.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/post/allatoms.xyz], 0, [ignore], [ignore])
+
 AT_CLEANUP
+
 
 AT_SETUP([Unselection - All Atoms])
 AT_KEYWORDS([selection])
+
+file=box.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-id 0 --unselect-all-atoms -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/post/box.xyz], 0, [ignore], [ignore])
+
+file=id0_missing.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-id 0 --unselect-all-atoms --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/post/id0_missing.xyz], 0, [ignore], [ignore])
+
+file=box.xyz
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz .], 0)
-AT_CHECK([../../molecuilder -i box.xyz -v 3 --select-atom-by-id 0 --unselect-all-atoms -r], 0, [stdout], [stderr])
-AT_CHECK([file=box.xyz; diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/$file], 0, [ignore], [ignore])
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz id0_missing.xyz], 0)
-AT_CHECK([../../molecuilder -i id0_missing.xyz -v 3 --select-atom-by-id 0 --unselect-all-atoms --undo -r], 0, [stdout], [stderr])
-AT_CHECK([file=id0_missing.xyz; diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/post/$file], 0, [ignore], [ignore])
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz .], 0)
-AT_CHECK([../../molecuilder -i box.xyz -v 3 --select-atom-by-id 0 --unselect-all-atoms --undo --redo -r], 0, [stdout], [stderr])
-AT_CHECK([file=box.xyz; diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/$file], 0, [ignore], [ignore])
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-id 0 --unselect-all-atoms --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/post/box.xyz], 0, [ignore], [ignore])
+
 AT_CLEANUP
